# Manual Price Lists ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Create a Manual Price List - [POST /add/MPL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-add-mpl.md): Creates a Manual Price List object. The Manual Price List is created without products. Use the /manualpricelistmanager.add/{id} (Add Products to a Manual Price List) endpoint to add products. ## Add Products to a Manual Pricelist - [POST /manualpricelistmanager.add/{id}/recalculate](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.add-id-recalculate.md): Adds products to the previously created Manual Price List and recalculates the Manual Price List. >To add items without a recalculation, use the /manualpricelistmanager.add/{id} endpoint. ## Add Products to a Manual Price List (No Recalculation) - [POST /manualpricelistmanager.add/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.add-id.md): Adds products to the previously created Manual Price List. Use to skip recalculation of comments and manualResultPrice (Manual Override). ## List Products From a Manual Price List - [POST /manualpricelistmanager.fetch/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.fetch-id.md): Retrieves products' details from the specified Manual Price List. A filter can be applied. ## List Manual Price Lists - [POST /fetch/MPL](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-fetch-mpl.md): Retrieves a list of Manual Price List objects. ## Mass Edit a Manual Price List Items - [POST /manualpricelistmanager.massedit/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.massedit-id.md): Performs a mass update operation on products in the specified Manual Price List. ## Update a Manual Price List Item - [POST /manualpricelistmanager.update/{id}/recalculate](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.update-id.md): Updates an item and recalculates the specified Manual Price List. ## Upsert a Product in a Manual Price List - [POST /manualpricelistmanager.integrate/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.integrate-id.md): Adds or updates a product in the specified Manual Price List. To add a new product that does not exist, specify the sku parameter in the request. To update an existing product, specify the sku or typedId parameter of the existing product. The /integrate method performs a partial update – it does not delete values from fields that have not been specified in the update request. ## Delete Products from a Manual Price List - [POST /manualpricelistmanager.delete/{id}/batch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.delete-id-batch.md): Deletes products specified by filter settings from the Manual Price List. ## Delete a Product from a Manual Price List - [POST /manualpricelistmanager.delete/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.delete-id.md): Deletes a product specified by typedId from the Manual Price List. ## Delete a Manual Price List - [POST /manualpricelistmanager.delete](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.delete.md): Deletes the specified Manual Price List. ## Copy a Manual Price List - [POST /manualpricelistmanager.copy/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.copy.md): Creates a copy of the specified Manual Price List. ## Calculate a Manual Price List - [POST /manualpricelistmanager.calculate/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-manualpricelistmanager.calculate-id.md): Starts a calculation of the entire Manual Price List. >Please note: >The calculated Manual Price List must contain a value in the linkedCFStypedId (CFS Link) field to perform the calculation action. ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample).